/*
 * Copyright (c) 2003-2004 Linuxant inc.
 *
 * NOTE: The use and distribution of this software is governed by the terms in
 * the file LICENSE, which is included in the package. You must read this and
 * agree to these terms before using or distributing this software.
 *
 */

#ifndef __OSUNIQREDEF_H__
#define __OSUNIQREDEF_H__

#define REAL_CONCAT(a, b, c, d) a##b##c##d
#define CONCAT(a, b, c, d) REAL_CONCAT(a, b, c, d)

/* prevent potential naming collisions with other modules. */
#define _OSUNIQDEF_PREFIX_STR "dldr_"DLDRVERSION_NODOT"_"
#define _OSUNIQDEF(f) CONCAT(dldr_, DLDRVERSION_NODOT, _, f)
#define _OSUNIQDEF_STR(f) _OSUNIQDEF_PREFIX_STR#f

#define OsGetIrql _OSUNIQDEF(OsGetIrql)
#define OsRaiseIrql _OSUNIQDEF(OsRaiseIrql)
#define OsRestoreIrql _OSUNIQDEF(OsRestoreIrql)
#ifdef DLDR_DEBUG
#define OsIrqlName _OSUNIQDEF(OsIrqlName)
#define OsDebugPrintf _OSUNIQDEF(OsDebugPrintf)
#endif
#define OsErrorPrintf _OSUNIQDEF(OsErrorPrintf)
#define OsGetSystemTime _OSUNIQDEF(OsGetSystemTime)
#define OsFOpen _OSUNIQDEF(OsFOpen)
#define OsFClose _OSUNIQDEF(OsFClose)
#define OsFRead _OSUNIQDEF(OsFRead)
#define dldr_init_mutex _OSUNIQDEF(dldr_init_mutex)
#define NdisWrapHaltAdapter _OSUNIQDEF(NdisWrapHaltAdapter)
#define NdisWrapGetVendorDesc _OSUNIQDEF(NdisWrapGetVendorDesc)
#define NdisWrapEnter _OSUNIQDEF(NdisWrapEnter)
#define NdisWrapLeave _OSUNIQDEF(NdisWrapLeave)
#define CallbackOsUsbBulkOrIntTransferCompleted _OSUNIQDEF(CallbackOsUsbBulkOrIntTransferCompleted)
#define CallbackOsUsbControlTransferCompleted _OSUNIQDEF(CallbackOsUsbControlTransferCompleted)
#define NdisWrapCreateAdapter _OSUNIQDEF(NdisWrapCreateAdapter)
#define NdisWrapNotifyBusDeregister _OSUNIQDEF(NdisWrapNotifyBusDeregister)
#define NdisWrapDestroyAdapter _OSUNIQDEF(NdisWrapDestroyAdapter)
#define NdisWrapNotifyAdapterRemoved _OSUNIQDEF(NdisWrapNotifyAdapterRemoved)
#define NdisWrapGetDMAMask _OSUNIQDEF(NdisWrapGetDMAMask)
#define NdisWrapSetPowerState _OSUNIQDEF(NdisWrapSetPowerState)
#define NdisWrapStatusToErrno _OSUNIQDEF(NdisWrapStatusToErrno)
#define netndis_usb_register_driver _OSUNIQDEF(netndis_usb_register_driver)
#define netndis_usb_unregister_driver _OSUNIQDEF(netndis_usb_unregister_driver)
#define alloc_netndisdev _OSUNIQDEF(alloc_netndisdev)
#define __netndis_up _OSUNIQDEF(__netndis_up)
#define __netndis_down _OSUNIQDEF(__netndis_down)

#endif /* __OSUNIQREDEF_H__ */

